<!-- <ng-template>
  <div>
    {{ message }}?
    <button (click)="close()">No</button>
    <button (click)="confirmAction()">Yes</button>
  </div>
</ng-template> -->

<!-- id="{{ id }}" -->
<div
  class="modal fade"
  data-bs-backdrop="static"
  data-bs-keyboard="false"
  tabindex="-1"
  aria-hidden="true"
>
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header" *ngIf="icon || src">
        {{icon ? <i [class]="icon"></i>:
        <img src="{{ src }}" class="rounded-circle img-responsive" /> ) }}
        <app-button class="btn-close"></app-button>
      </div>
      <div class="modal-body text-center mb-1">
        <h5 *ngIf="title">{{ title }}</h5>
        <div *ngIf="message">{{ message }}</div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
          Close
        </button>
        <button type="button" class="btn btn-primary" (click)="onClick($event)">
          Save changes
        </button>
      </div>
    </div>
  </div>
</div>
